Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.appconn
Class FileClientApplicationImpl

    java.lang.Object
      com.stc.connector.fileadapter.appconn.FileClientApplicationImpl

All Implemented Interfaces:
  FileClientApplication

    public class FileClientApplicationImpl

extends java.lang.Object
implements FileClientApplication

Implements FileClientApplication which exposes operations available for the client application.

Constructor Summary
`FileClientApplicationImpl(com.stc.connector.framework.jca.system.MessageResourceManager aResourceManager, FileOutboundConfiguration aConfiguration)` Constructor.

Method Summary
`byte[]` | `getByteArray()` Returns the byteArray
`java.lang.String` | `getEncoding()` Returns a valid encoding name.
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`java.lang.String` | `getText()` Returns the text
`void` | `sendFileWriteAlert(java.lang.String alertMsg)`
`void` | `setByteArray(byte[] aArray)` Sets the byte array to be written to a file
`void` | `setEncoding(java.lang.String encoding)` Set valid encoding name.
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference mbean)`
`void` | `setText(java.lang.String aText)` Sets the text to be wriiten to a file
`void` | `write()`
`void` | `write(byte[] payload)`
`void` | `writeBytes()`
`void` | `writeContents(byte[] contents)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileClientApplicationImpl

    public FileClientApplicationImpl(com.stc.connector.framework.jca.system.MessageResourceManager aResourceManager,
                                     FileOutboundConfiguration aConfiguration)

  Constructor.

  Parameters:
    `aResourceManager` -
    `aConfiguration` -

Method Detail

### setText

    public void setText(java.lang.String aText)

  Sets the text to be wriiten to a file

  Specified by:
    `setText` in interface `FileClientApplication`
  Parameters:
    `aText` - the String data to be wriiten to a file

### getText

    public java.lang.String getText()

  Returns the text

  Specified by:
    `getText` in interface `FileClientApplication`
  Returns:
    text

### setByteArray

    public void setByteArray(byte[] aArray)

  Sets the byte array to be written to a file

  Specified by:
    `setByteArray` in interface `FileClientApplication`
  Parameters:
    `aArray` - byte[] data to be written to a file

### getByteArray

    public byte[] getByteArray()

  Returns the byteArray

  Specified by:
    `getByteArray` in interface `FileClientApplication`
  Returns:
    byteArray

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set valid encoding name. For all valid encodings, please refer to http://www.ingrid.org/java/i18n/encoding/table.html

  Specified by:
    `setEncoding` in interface `FileClientApplication`
  Parameters:
    `encoding` - encoding name as String

### getEncoding

    public java.lang.String getEncoding()

  Returns a valid encoding name.

  Specified by:
    `getEncoding` in interface `FileClientApplication`
  Returns:
    encoding

### write

    public void write()
               throws FileApplicationException

  Specified by:
    `write` in interface `FileClientApplication`
  Throws:
    `FileApplicationException`

### writeBytes

    public void writeBytes()
                    throws FileApplicationException

  Specified by:
    `writeBytes` in interface `FileClientApplication`
  Throws:
    `FileApplicationException`

### write

    public void write(byte[] payload)
               throws FileApplicationException

  Throws:
    `FileApplicationException`

### writeContents

    public void writeContents(byte[] contents)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference mbean)

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

### sendFileWriteAlert

    public void sendFileWriteAlert(java.lang.String alertMsg)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.